EDIT - bug #10340

Categorical and Quantitative Data details view must only show recommended modifiers
05/30/2023 04:56 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.38

Severity: normal Found in Version:

Description

... for state data or statistical measurement values respectively.

Currently it seems to load all modifiers (but not modifier subtypes)

Related issues:

Related to EDIT - feature request #10337: Allow supportedCategoricalEnumerati... Closed
Related to EDIT - feature request #10364: Implement state modifiers for matrix Closed
Related to EDIT - feature request #10436: Make state modifiers invisible if n... Closed

Associated revisions

Revision 3ea8e556 - 06/01/2023 02:04 PM - Andreas Miiller

ref #10340 cleanup ModifierElement code for loading terms

Revision 63e166da - 06/01/2023 03:44 PM - Andreas Miiller
ref #10340 fix potential NPE

Revision 48d470ad - 06/01/2023 03:44 PM - Andreas Muller

fix #10340 fix modifier loading for state data, using recommended modifiers

Revision 61bc134b - 06/06/2023 11:08 AM - Katja Luther
ref #10340: code cleaning

History

#1 - 05/30/2023 04:56 PM - Andreas Miuller

- Related to feature request #10337: Allow supportedCategoricalEnumeration and recommendedModfiers for term collection added

#2 - 06/01/2023 03:44 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 70

Applied in changeset taxeditor|48d470ad785b28decc38bbbd235¢110347153ae6.

#3 - 06/01/2023 04:00 PM - Andreas Miuller

This is generally fixed now. Please review.

During implementation | realized that in ModifierElement.setEntity() the combo_modifier != null part is never called.
So it looks like we can delete it. Do you agree.

In this code it was originally tried to set the recommende modifiers (but unsuccessful as it was not called).
Or should we adapt the code so this code is called (again)?

Can you please decide what is more consistent with other code?

What is missing in the current code is

combo_modifier.removeEmptyElement();
which is not nice as we do not need an empty element as soon as the value is set for the first time.

Is there a way to integrate this again?

#4 - 06/02/2023 04:34 PM - Andreas Miiller
- Priority changed from New to Highest

#5 - 06/02/2023 04:43 PM - Andreas Miiller

Also we need to check if the recommended modifiers only mean the single states/values or for the complete categorical/numerical data record (which
is the same modifier implementation as for all DescriptionElementBase subclasses. The later in general is missing a possibility of defining a list to
take the modifiers from as far as | can see. This might be another ticket.

#6 - 06/06/2023 10:28 AM - Katja Luther

Andreas Muller wrote in #note-3:

This is generally fixed now. Please review.

During implementation | realized that in ModifierElement.setEntity() the combo_modifier != null part is never called.
So it looks like we can delete it. Do you agree.

In this code it was originally tried to set the recommende modifiers (but unsuccessful as it was not called).
Or should we adapt the code so this code is called (again)?

Can you please decide what is more consistent with other code?

What is missing in the current code is

combo_modifier.removeEmptyElement();

which is not nice as we do not need an empty element as soon as the value is set for the first time.

Is there a way to integrate this again?

You are right this part of the code is never reached. | will clean up the code and reintegrate the combo_modifier.removeEmptyElementy).
-> this can be done by calling createDefinedTermComboElement() with a parameter defining the presence of an empty element.

#7 - 06/06/2023 11:09 AM - Katja Luther

Andreas Muller wrote in #note-5:

Also we need to check if the recommended modifiers only mean the single states/values or for the complete categorical/numerical data record
(which is the same modifier implementation as for all DescriptionElementBase subclasses. The later in general is missing a possibility of defining
a list to take the modifiers from as far as | can see. This might be another ticket.

| would move this to a new ticket.

#8 - 06/06/2023 11:17 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller
Please check again whether the changes are correct.

#9 - 06/06/2023 03:12 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 70 to 100
Works as expected now

#10 - 06/27/2023 12:11 PM - Andreas Miiller

- Related to feature request #10364: Implement state modifiers for matrix added

#11 - 12/05/2023 03:01 PM - Andreas Miiller

- Related to feature request #10436: Make state modifiers invisible if no recommended term collection is selected added
